diff mbox series

[RFC,5/9] fit_spl_optee.sh: produce working binaries by default

Message ID 20200318095757.9365-6-ynezz@true.cz
State Superseded
Delegated to: Tom Rini
Headers show
Series produce working binaries by default | expand

Commit Message

Petr Štetiar March 18, 2020, 9:57 a.m. UTC
At this moment unusable binaries are produced if tee.bin file is missing
in order to allow passing of various CI tests. This intention of broken
images has to be now explicitly confirmed via new
BUILDBOT_BROKEN_BINARIES config option, so usable binaries are produced
by default from now on.

Signed-off-by: Petr Štetiar <ynezz@true.cz>
---
 arch/arm/mach-rockchip/fit_spl_optee.sh | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)
diff mbox series

Patch

diff --git a/arch/arm/mach-rockchip/fit_spl_optee.sh b/arch/arm/mach-rockchip/fit_spl_optee.sh
index 4118472d9f22..bdf61c4ba16d 100755
--- a/arch/arm/mach-rockchip/fit_spl_optee.sh
+++ b/arch/arm/mach-rockchip/fit_spl_optee.sh
@@ -11,9 +11,13 @@ 
 [ -z "$TEE" ] && TEE="tee.bin"
 
 if [ ! -f $TEE ]; then
-	echo "WARNING: TEE file $TEE NOT found, U-Boot.itb is non-functional" >&2
-	echo "Please export path for TEE or copy tee.bin to U-Boot folder" >&2
-	TEE=/dev/null
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		TEE=/dev/null
+	else
+		echo "ERROR: TEE file $TEE NOT found, U-Boot.itb is non-functional" >&2
+		echo "Please export path for TEE or copy tee.bin to U-Boot folder" >&2
+		exit 1
+	fi
 fi
 
 dtname=$1